# Automated Workflow For Booking Related Events

<table><thead><tr><th width="177.45452880859375">Automation Type </th><th width="119.9090576171875">Description</th><th width="138.2000732421875">Why should you send a message ?</th><th>Example message</th></tr></thead><tbody><tr><td><a href="/pages/5T2rMW0LH322DUqjnRE9">booking_confirmed</a></td><td>Business manually or auto-confirms a booking made by user</td><td>confirms a pending booking. Let the consumer know their slot is officially confirmed</td><td>"<em>Hi [Name], your appointment has been confirmed. We’re excited to welcome you on [Date]!"</em></td></tr><tr><td><a href="/pages/k1lwnm2I1hCXVtBa0FtI">booking_cancelled</a></td><td>Customer or business cancels the booking</td><td>Acknowledge the cancellation and offer support or rebooking</td><td><em>"Hi [Name], your booking for [Service] on [Date] has been cancelled. Need help rescheduling?"</em></td></tr><tr><td><a href="/pages/zkLdxonllYvg5MdvqzK8">booking_rescheduled</a></td><td>Booking is moved to a new date/time</td><td>To let the customer  know the updated schedule</td><td><em>"Hi [Name], your booking has been rescheduled to [New Date] at [New Time]. Let us know if that works for you."</em></td></tr><tr><td><a href="/pages/7Ib5xTFntFp0t1hX2WdT">Booking_notify_staff</a></td><td>when a customer books a service then the assigned staff member will be notified instantly </td><td>To let the assigned staff member know about their next customer appointment details </td><td><p>A new service has been booked via home service website. </p><p>Customer name : [Name],</p><p>[Service name ],[Location],</p><p>[Date &#x26; Time].  </p></td></tr><tr><td><a href="/pages/lBjprNZdbrs47EdcZ13l">booking_reminder</a></td><td>a reminder message  for the scheduled appointment is sent to the customer.</td><td>To remind the customers of their scheduled appointment prior to reduce no shows.</td><td>Hi {{name}}, this is a reminder for your booking with {{service}} on {{date}} at {{time}}.<br>Need help? Manage your booking here: {{link}}<br>— {{business_name}}</td></tr><tr><td><a href="/pages/iV4BXxn8q4Lt5porhzK5">booking_abandoned</a></td><td>when a customer starts the booking process but doesn’t complete it. </td><td>Reminder complete theit booking</td><td>Hi {{customer name}}, you started booking your {{service title}} on {{date}} but didn’t finish it. Don’t miss your spot! Complete your booking here: {{link}}. For help, reply to this SMS.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mercuri.cx/features/automations/automated-workflow-for-booking-related-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
